require('legendary').setup({
  default_opts = {
    keymaps = { silent = true },
    commands = {},
    autocmds = {},
  },
  keymaps = {
    {
      '<Leader>p',
      function()
        require("legendary").find()
      end,
      description = 'legendary keymaps',
      mode = { 'n', 'x', 'i' }
    },
    {
      '<F2>',
      ':tabnew .<CR>',
      description = 'Open a new tab',
    },
    {
      '<C-F2>',
      ':vsplit .<CR>',
      description = 'Open a new vertical split',
    },
    {
      '<S-F2>',
      ':split .<CR>',
      description = 'Open a new horizontal split',
    },
    {
      '<leader>a',
      '"ayiw',
      description = 'Word under cursor into register a',
    },
    {
      '<space>x',
      'za',
      description = 'Toggle fold',
    },
  },
  commands =
  {
    {
      ':set guifont=JetBrainsMonoNL\\ NF:h12<CR>',
      description = 'Big font size',
    },
    {
      ':set guifont=JetBrainsMonoNL\\ NF:h9<CR>',
      description = 'Reset font size',
    },

  }
})
