require('project_nvim').setup({
  silent_chdir = true,
  ignore_lsp = { 'null-ls', 'cmake' },
  patterns = { ".git", "_darcs", ".hg", ".bzr", ".svn", "Makefile", "package.json", "build_nvim", "real_path.txt" },
})
require('telescope').load_extension('projects')
require('legendary').keymaps(
  {
    {
      '<space>p',
      function ()
        require('telescope').extensions.projects.projects()
      end,
      description = 'Select project',
    },
  }
)
